package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.AuthDetailDTO;
import com.diagbot.entity.ProductOrder;
import com.diagbot.entity.ProductOrderIndex;
import com.diagbot.entity.wrapper.ProductOrderWrapper;

import java.util.List;

/**
 * <p>
 * 订单表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
public interface ProductOrderMapper extends BaseMapper<ProductOrder> {
	/**
	 * @Description: 根据用户id查询订单信息
	 * @Author: wangyu
	 * @Date: 19:39 2018/9/20
	 */
	List<ProductOrder> getUserProductOrder(Long userId);

	List<AuthDetailDTO> getOrderDetails(String orderNum);

	/**
	 * @Description: 根据订单号查询订单信息
	 * @Author: wangyu
	 * @Date: 19:39 2018/9/20
	 */
	ProductOrder selctOrderTimeByOrderNum(ProductOrder productOrder);
	
	/**
	 * 待审核订单个数
	 * @return
	 */
	int waitExamOrderCou();

	/**
	 * @Description: 订单申请查询所有订单信息接口
	 * @Author: wangyu
	 * @Date: 19:39 2018/9/20
	 */
	public List<ProductOrderWrapper> selectAllProductOrder(ProductOrderIndex productOrderIndex);
}
